gd_fragmentname(3)

NAME
gd_fragmentname — retrieve a Dirfile format specification fragment name

SYNOPSIS
#include <getdata.h>

const char* gd_fragmentname(const DIRFILE *dirfile, int index);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns the filename of the format specification fragment indexed by the non-negative

The argument must point to a valid DIRFILE object previously created by a call to

The fragment with equal to zero is always the primary fragment for the database (the file called format in the root dirfile directory). The largest valid value of is one less than the total number of fragments, which may be obtained from a call to

RETURN VALUE
Upon successful completion, returns a pointer to a read-only character string containing the file name of the specified fragment.

On error, this function returns NULL and stores a negative-valued error code in the DIRFILE object which may be retrieved by a subsequent call to Possible error codes are: The supplied dirfile was invalid. The supplied index was out of range.

A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.4.0.

In GetData-0.7.0 this function was renamed to

SEE ALSO
dirfile(5),